/* Modals */
/*
.modal-popup-error,
.modal-popup-success {
  display: block !important;
}
*/

#reg-modal-guest, #reg-modal-code, #reg-modal, .modal-open .modal {
  background: rgba(255, 255, 255, 0.715);
}
.modal .modal-dialog.modal-dialog-centered {
  justify-content: center;
}

.modal .modal-dialog .modal-content {
  border: 8px solid #00AEEF;
  border-radius: 30px;
  height: 600px;
  max-width: 95%;
  padding: 0;
}

.modal-form-wrap {
  position: relative;
  z-index: 99;
}

.modal-content {
  border: none;
}
.form-msg {
  display: none;
  background: white;
  text-align: center;
  margin: 20px auto 0 auto;
  font-size: 16px;
  line-height: 1.325em;
  padding: 10px 15px;
}
.error-msg {
  color: #e22a86;
  border: 1px solid #e22a86;
}
.hd-success-trans {
  display: none;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: transparent;
}

.form-teaser {
  color: #081d39;
  font-size: 16px;
  font-weight: 300;
  line-height: 1.135em;
  margin: 8px auto;
}

.pl-easter-0 {
  padding-left: 0 !important;
  padding-right: 8px !important;
}

.pr-easter-0 {
  padding-left: 8px !important;
  padding-right: 0 !important;
}

.form-control-lg,
.input-group-lg > .form-control,
.input-group-lg > .input-group-append > .btn,
.input-group-lg > .input-group-append > .input-group-text,
.input-group-lg > .input-group-prepend > .btn,
.input-group-lg > .input-group-prepend > .input-group-text,
.input-group-lg > .input-group-append > select.btn:not([size]):not([multiple]),
.input-group-lg > .input-group-append > select.input-group-text:not([size]):not([multiple]),
.input-group-lg > .input-group-prepend > select.btn:not([size]):not([multiple]),
.input-group-lg > .input-group-prepend > select.input-group-text:not([size]):not([multiple]),
.input-group-lg > select.form-control:not([size]):not([multiple]),
select.form-control-lg:not([size]):not([multiple]) {
  margin-top: 12px;
  padding: 0.35rem 1rem;
  border-radius: 0;
  border: 1.5px solid #00aeef;
  height: 40px;
  line-height: 1.25rem;
  font-size: 1rem;
  font-family: "open-sans", sans-serif;
}
.input-terms input,
.input-terms label {
  cursor: pointer;
}
.input-terms label {
  display: flex;
  align-items: flex-start;
  margin-top: 10px;
}
.hd-terms-span {
  font-size: 12px;
  text-align: left;
  padding-left: 5px;
  font-family: "open-sans", sans-serif;
}
.hd-submit {
  margin: 8px auto 20px auto;
  text-align: center;
  font-family: "open-sans", sans-serif;
}
#hd-form-submit {
  background: #00aeef;
  border-radius: 30px;
  color: white;
  text-align: center;
  display: inline-block;
  padding: 0 3em;
  font-size: 24px;
  line-height: 1.55em;
  font-weight: bold;
  border-color: transparent;
  cursor: pointer;
  transition: all 0.2s ease-out;
}
@media screen and (min-width: 960px) {
  .modal .modal-dialog {
    width: 100%;
    max-width: 500px;
  }

  #hd-reg-form .container {
    margin-left: 0;
    margin-top: 30px;
  }

  #hd-form-submit {
    line-height: 2em;
  }

  .form-teaser {
    font-size: 20px;
    margin: 10px auto;
    line-height: 1.25em;
  }
}
@media screen and (min-width: 1800px) {
  .form-teaser {
    font-size: 30px;
    margin: 10px auto;
  }
}

#reg-modal-code button.close,
#reg-modal-guest button.close,
#easter-winner-modal button.close {
  font-size: 35px;
  line-height: 1em;
  padding: 0;
  margin: 0;
  margin-top: 0;
  margin-right: 0;
}

.modal-body {
  padding: 20px;
}

.modal-char {
  width: 100%;
  max-width: initial;
  text-align: center;
  margin: auto;
  position: absolute;
  bottom: 40px;
}

.modal-char img.popup-butterflies {
  position: absolute;
  margin: auto;
  text-align: center;
  left: 0;
  right: 0;
  max-width: 90%;
  top: -50px;
}

.modal-char img.popup-char {
  max-width: 220px;
}

.modal-char-4 img.popup-char {
  max-width: 300px;
}

.modal-char-5 img.popup-char {
  max-width: 200px;
}

.modal-body h4 {
  font-family: "open-sans", sans-serif;
  color: #575757;
  font-size: 34px;
  margin-top: 50px;
}

.modal-body h5 {
  font-size: 34px;
  font-weight: 600;
  margin-top: 15px;
  color: #00AEEF;
}

.modal-foo {
  position: absolute;
  bottom: -14px;
}

.modal-foo .popup-left-decor {
  position: relative;
  left: -15px;
  bottom: 2px;
}

.modal-hd-code-bunny {
  padding-top: 0; /* 2026 change */
}

.modal-hd-reg-bunny .modal-body {
  padding-top: 1rem;
}

.modal-hd-reg-bunny .modal-foo {
  bottom: -32px;
}

.modal-answer,
.modal-answer.submit-code,
.modal-answer.code-correct,
.modal-answer.has-code-cta {
  display: block;
  width: 270px;
  margin: 20px 0;
  border: 2px solid #00aeef;
  background: white;
  color: #081D39;
  font-family: "Open Sans", sans-serif;
  font-weight: 600;
  font-size: 20px;
  line-height: 2em;
  border-radius: 30px;
  text-align: center;
  transition: all 0.2s ease-out;
}

.modal-answer:hover,
.modal-answer.submit-code:hover,
.modal-answer.code-correct:hover,
.modal-answer.has-code-cta:hover {
  text-decoration: none;
  color: white;
  background: #00aeef;
}

.modal-answer.has-code-cta {
  margin-top: 30px;
}


@media screen and (min-width: 960px) {
  #reg-modal-code button.close,
  #reg-modal-guest button.close,
  #easter-winner-modal button.close {
    font-size: 50px;
    margin-top: -20px;
    margin-right: -10px;
  }
}

.modal-body .answer-success {
  border: 2px solid #89c54f;
  background: #89c54f;
  color: white;

  .modal-hd {
    left: initial;
    right: 15px;
    bottom: 20px;
  }

  .modal-hd-reg-bunny .modal-body h5 {
    max-width: initial;
  }

  .modal-hd-reg-bunny .modal-hd {
    right: 0;
    bottom: 170px;
  }

  .modal-hd-1 img {
    max-width: 250px;
  }

  .modal-hd-3 img {
    max-width: 220px;
  }

  .modal-hd-2 img,
  .modal-hd-granny img {
    max-width: 320px;
  }
  
  .modal-hd-6 img,
  .modal-hd-5 img,
  .modal-hd-4 img {
    max-width: 275px;
  }
}

/* Winner */
#easter-winner-modal .modal-header {
  border-bottom: 0;
}

#easter-winner-modal .easter-popup-ttl-wrap {

}

#easter-winner-modal .easter-popup-ttl-wrap .modal-title {
  margin: 0 auto;
  font-size: 40px;
  line-height: 1.15em;
  color: #00aeef;
  font-weight: 600;
}

#easter-winner-modal .easter-popup-ttl-wrap .form-teaser {
  font-size: 20px;
}

.winner-cnt-share {
  margin-top: 10px;
  color: #FFE600;
}

.winner-share-cta-wrap {
  display: flex;
  justify-content: center;
  align-items: baseline;
  flex-direction: row;
  margin: 30px auto 0px auto;
}

.winner-share-cta {
  background: #00AEEF;
  border-radius: 8px;
  margin: 0 12px;
  font-size: 30px;
  color: white;
  padding: 6px;
  text-decoration: none;
  width: 42px;
  height: 42px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.winner-share-cta:hover,
.winner-share-cta:active,
.winner-share-cta:focus {
  text-decoration: none;
  background: black;
  color: white;
}


.winner-chars .winner-bunny,
.winner-chars .winner-1 {
  position: absolute;
  bottom: 0;
}

.winner-chars .winner-bunny {
  top: -35px;
  left: 0;
  max-width: 100px;
  transform: scaleX(-1);
}

.winner-chars .winner-1 {
  bottom: 20px;
  right: 10px;
  max-width: 190px;
}
#easter-winner-modal .success-bunny {
  margin: auto;
  margin-right: 0;
}

@media screen and (min-width: 960px) {
  #easter-winner-modal .easter-popup-ttl-wrap .modal-title {
    font-size: 52px;
    margin-bottom: 30px;
  } 

  #easter-winner-modal .easter-popup-ttl-wrap .form-teaser {
    font-size: 30px;
  }

  #easter-winner-modal.modal .modal-dialog .modal-content {
    padding-left: 0;
  }
  #easter-winner-modal .modal-body {
    padding: 0;
  }
  #easter-winner-modal .modal-header h4 {
    margin-top: 0;
  }
  .winner-share-cta-wrap {
    margin: 80px auto 0px auto;
  }
  .winner-share-cta {
    font-size: 32px;
    width: 50px;
    height: 50px;
  }
  .winner-chars .winner-bunny {
    top: initial;
    bottom: 130px;
    left: 20;
    max-width: 250px;
  }

  .winner-chars .winner-1 {
    bottom: 50px;
    max-width: 280px;
  }
}
.
/* Easter Register addons 3 pages - 2026 */
.reg-success, .error-msg {
  display: none;
}

.conv-reg h4 {
  font-weight: 600;
  font-size: 26px;
  line-height: 1.35;
}

.popup-bunny-conv-ret {
  position: relative;
  top: -50px;
}

.success-msg img {
  transform: scaleX(-1);
  position: absolute;
  top: -35px;
  bottom: 0;
  right: -15px;
  margin: auto;
}

.success-msg span {
  position: relative;
  text-align: center;
  margin: auto;
  display: block;
  margin-top: -32px;
  padding-left: 22px;
  font-family: "Open Sans", sans-serif;
  font-size: 17px;
  font-weight: 600;
  line-height: 1.25em;
  color: white;
}

/* Has code */
.submit-code-wrap input {
  width: 140px;
  text-align: center;
  margin: 20px auto 0 auto;
}

.submit-code-wrap #hd-code {
  font-size: 2rem;
  letter-spacing: 12px;
  text-align: center;
}

.submit-code-wrap #hd-code::placeholder {
  font-size: 1rem;
  letter-spacing: 0;
}

.modal-answer.submit-code {
  width: auto;
  text-align: center;
  margin: 25px auto 0 auto;
  padding: 0 70px;
  cursor: pointer;
  background: #00aeef;
  color: white;
  border: none;
  transition: all 0.2s ease-out;
}

#hd-form-submit:hover,
.modal-answer.submit-code:hover {
  background: #016DA3;
}

.success-msg,
.code-correct,
.code-incorrect {
  display: none;
}

.butterflies-code-wrap {
  width: 130px;
  position: absolute;
  left: 50px;
  bottom: 50px;
}

.code-incorrect {
  display: none;
  border: 1px solid #e22a86;
  color: #e22a86;
  background: white;
  text-align: center;
  margin: 20px auto 0 auto;
  font-size: 16px;
  line-height: 1.325em;
  padding: 10px 15px;
}

.modal-foo.modal-code-foo {
  bottom: 0;
}

.modal-foo.modal-code-foo .popup-left-decor {
  bottom: -16px;
}

@media screen and (min-width: 960px) {
  .success-msg img {
    top: 0;
  }
  .success-msg span {
    margin-top: -5px;
    font-size: 20px;
  }
}

.char-wrap img.char-off.stop-anim{
  animation:none !important;
}